Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class InputDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.InputDialog

public class InputDialog extends org.eclipse.swt.widgets.Dialog
Custom SWT dialog to allow the user to input strings for various uses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputDialog​(org.eclipse.swt.widgets.Shell parent)`
  `InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message)`
  `InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message, int style)`
  `InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText)`
  `InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText, int style)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `open()`
  Opens the InputDialog and returns the user's input when the dialog closes.

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InputDialog

    public InputDialog​(org.eclipse.swt.widgets.Shell parent)

  - ### InputDialog

    public InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message)

  - ### InputDialog

    public InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message, int style)

  - ### InputDialog

    public InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText)

  - ### InputDialog

    public InputDialog​(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText, int style)

- ## Method Details

  - ### open

    public String open()
    Opens the InputDialog and returns the user's input when the dialog closes.
    Returns:
      the user input data